{ config, lib, pkgs, osConfig, ... }:

let
  inherit (lib) optionals;
  isGraphical = osConfig.services.xserver.enable;
in
{
  # this is a dependency of feishin. it does not actually have a known vulnerability,
  # it's just unsuspported because Electron's support cycle is a ludicrously short 6 months.
  # feishin's dev is going to be rewriting it without Electron (as "audioling").
  # modern software development was a mistake.
  nixpkgs.config.permittedInsecurePackages = [
    "electron-31.7.7"
  ];

  home.packages = with pkgs; [
    eza # like `ls` but fancier
    hexyl # like `xxd` but cooler
    tree # like `ls -R` but nicer
    units
    zip
    unzip

    # Extremely important
    fortune
    cowsay
    lolcat
  ] ++ optionals isGraphical [
    bitwarden
    discord
    feishin
    gimp-with-plugins
    jellyfin-media-player
    tor-browser-bundle-bin
    zoom-us

    # libreoffice
    libreoffice
    hunspell
    hunspellDicts.en_GB-ise
  ];
}
